FROM golang:1.20-bullseye AS builder

WORKDIR /usr/local/src/objectivefs-docker-volume
COPY go.* ./
COPY *.go ./
RUN go mod download

RUN mkdir bin/ && go build -o bin/ ./...


FROM debian:bullseye-slim

COPY --from=builder /usr/local/src/objectivefs-docker-volume/bin/objectivefs-docker-volume /
COPY bin/mount.objectivefs /sbin/
COPY config.json /

RUN apt-get update && apt-get install -y fuse && rm -rf /var/lib/apt/lists/* && \
    mkdir -p /run/docker/plugins && \
    chmod +x /sbin/mount.objectivefs
